#!/bin/sh

# Have te be hand-edited for each experiment

growRate=0;
maxRound=0;
maxTic=0;
nbPackets=0;

for growRate in `LANG=en_us seq 1.1 0.1 2.0`
do
  for maxRound in `seq 10 10 50`
  do
    for maxTic in `seq 5 5 20`
    do
      for nbPackets in `seq 50 50 200`
      do

       baseName="$growRate"_"$maxRound"_"$maxTic"_"$nbPackets"
        ../bitsimulator -D simulations/testServer/ --D1MinPacketsForTermination $nbPackets --D1MaxRound $maxRound --D1MaxTic $maxTic --D1GrowRate $growRate --outputBaseName $baseName

      done
    done
  done
done

#--genericNodesRNGSeed
